List
curl --request GET \
--url https://{defaultHost}/v1/payment_intents \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/payment_intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/payment_intents"
},
"data": [
{
"id": "083f54fc-7e64-4c20-949e-e6d68cad725d",
"object": "payment_intent",
"amount": 500,
"currency": "usd",
"external_intent_id": "pi_3JhDzG2fs4LLhxzS06L7dgBR",
"live_mode": true,
"off_session": false,
"processor_data": {
"stripe": {
"account_id": "external_account_47",
"publishable_key": "pk_test_51KeWoQFugiAKLuJycCZesY1aYEzfauqW2SHSZSUj5xCorx7h7oZd5i6Vz2whx7Y5fMZr6WQQTeOoQEtaEnpk4fkB00dinySlbK",
"client_secret": "pi_3K6NFo2fs4LLhxzS1leftxKh_secret_qoy2TA8XJEYKTp4bbF8hT3clV",
"type": "payment",
"payment_method_id": null
}
},
"processor_type": "stripe",
"reusable": false,
"status": "pending",
"checkout": null,
"customer": "7179a2a2-8209-4172-8ee6-5badc080642d",
"payment_method": null,
"platform_fee": null,
"service_fee": null,
"created_at": 1782485861,
"updated_at": 1782485861
}
]
}Payment Intents
List
Returns a list of your payment intents.
GET
/
v1
/
payment_intents
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given checkouts.
Only return objects that belong to the given customers.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that are live mode or test mode.
The page of items you want returned.
Only return objects with the given status.
Was this page helpful?
⌘I